diff --git a/doc/bash.ps b/doc/bash.ps
index 80a63f36..3a31e4c6 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -7963,227 +7968,227 @@ F1(dirs)2.64 E F0 2.64(,s)C .14(tarting with zero.)-2.64 F -.15(Fo)180
 168 S 2.5(re).15 G(xample:)-2.65 E/F3 10/Courier@0 SF(popd +0)2.5 E F0
 (remo)2.5 E -.15(ve)-.15 G 2.5(st).15 G(he \214rst directory)-2.5 E(,)
 -.65 E F3(popd +1)2.5 E F0(the second.)2.5 E F1<ad>144 180 Q F2(n)A F0
-(Remo)180 180 Q -.15(ve)-.15 G 3.759(st).15 G(he)-3.759 E F2(n)3.759 E
-F0 1.259(th entry counting from the right of the list sho)B 1.26(wn by)
--.25 F F1(dirs)3.76 E F0 3.76(,s)C 1.26(tarting with)-3.76 F 2.5
+(Remo)180 180 Q -.15(ve)-.15 G 3.76(st).15 G(he)-3.76 E F2(n)3.76 E F0
+1.259(th entry counting from the right of the list sho)B 1.259(wn by)
+-.25 F F1(dirs)3.759 E F0 3.759(,s)C 1.259(tarting with)-3.759 F 2.5
 (zero. F)180 192 R(or e)-.15 E(xample:)-.15 E F3(popd -0)2.5 E F0(remo)
 2.5 E -.15(ve)-.15 G 2.5(st).15 G(he last directory)-2.5 E(,)-.65 E F3
-(popd -1)2.5 E F0(the ne)2.5 E(xt to last.)-.15 E .644(If the)144 208.8
-R F1(popd)3.144 E F0 .644(command is successful, a)3.144 F F1(dirs)3.143
-E F0 .643(is performed as well, and the return status is 0.)3.143 F F1
-(popd)5.643 E F0 .415(returns f)144 220.8 R .415(alse if an in)-.1 F
+(popd -1)2.5 E F0(the ne)2.5 E(xt to last.)-.15 E .643(If the)144 208.8
+R F1(popd)3.143 E F0 .643(command is successful, a)3.143 F F1(dirs)3.143
+E F0 .644(is performed as well, and the return status is 0.)3.143 F F1
+(popd)5.644 E F0 .416(returns f)144 220.8 R .416(alse if an in)-.1 F
 -.25(va)-.4 G .415
-(lid option is encountered, the directory stack is empty).25 F 2.916
-(,an)-.65 G(on-e)-2.916 E .416(xistent direc-)-.15 F
+(lid option is encountered, the directory stack is empty).25 F 2.915
+(,an)-.65 G(on-e)-2.915 E .415(xistent direc-)-.15 F
 (tory stack entry is speci\214ed, or the directory change f)144 232.8 Q
 (ails.)-.1 E F1(printf)108 249.6 Q F0([)2.5 E F1<ad76>A F2(var)2.5 E F0
-(])A F2(format)2.5 E F0([)2.5 E F2(ar)A(guments)-.37 E F0(])A 1.437
-(Write the formatted)144 261.6 R F2(ar)3.937 E(guments)-.37 E F0 1.437
-(to the standard output under the control of the)3.937 F F2(format)3.936
-E F0 6.436(.T)C(he)-6.436 E F1<ad76>3.936 E F0 .126
+(])A F2(format)2.5 E F0([)2.5 E F2(ar)A(guments)-.37 E F0(])A 1.436
+(Write the formatted)144 261.6 R F2(ar)3.936 E(guments)-.37 E F0 1.437
+(to the standard output under the control of the)3.936 F F2(format)3.937
+E F0 6.437(.T)C(he)-6.437 E F1<ad76>3.937 E F0 .126
 (option causes the output to be assigned to the v)144 273.6 R(ariable)
 -.25 E F2(var)2.626 E F0 .126(rather than being printed to the standard)
-2.626 F(output.)144 285.6 Q(The)144 309.6 Q F2(format)3.018 E F0 .517(i\
+2.626 F(output.)144 285.6 Q(The)144 309.6 Q F2(format)3.017 E F0 .517(i\
 s a character string which contains three types of objects: plain chara\
-cters, which are)3.018 F .704(simply copied to standard output, charact\
-er escape sequences, which are con)144 321.6 R -.15(ve)-.4 G .704
+cters, which are)3.017 F .704(simply copied to standard output, charact\
+er escape sequences, which are con)144 321.6 R -.15(ve)-.4 G .703
 (rted and copied to).15 F .036(the standard output, and format speci\
-\214cations, each of which causes printing of the ne)144 333.6 R .036
+\214cations, each of which causes printing of the ne)144 333.6 R .037
 (xt successi)-.15 F -.15(ve)-.25 G F2(ar)144 345.6 Q(gument)-.37 E F0
-5.531(.I)C 3.031(na)-5.531 G .531(ddition to the standard)-3.031 F F2
-(printf)3.032 E F0 .532(\(1\) format speci\214cations,)B F1(printf)3.032
-E F0 .532(interprets the follo)3.032 F(w-)-.25 E(ing e)144 357.6 Q
+5.532(.I)C 3.032(na)-5.532 G .532(ddition to the standard)-3.032 F F2
+(printf)3.032 E F0 .532(\(1\) format speci\214cations,)B F1(printf)3.031
+E F0 .531(interprets the follo)3.031 F(w-)-.25 E(ing e)144 357.6 Q
 (xtensions:)-.15 E F1(%b)144 369.6 Q F0(causes)180 369.6 Q F1(printf)
-2.596 E F0 .096(to e)2.596 F .096
+2.595 E F0 .096(to e)2.595 F .096
 (xpand backslash escape sequences in the corresponding)-.15 F F2(ar)
-2.596 E(gument)-.37 E F0 .095(in the)2.595 F(same w)180 381.6 Q(ay as)
+2.596 E(gument)-.37 E F0 .096(in the)2.596 F(same w)180 381.6 Q(ay as)
 -.1 E F1(echo \255e)2.5 E F0(.)A F1(%q)144 393.6 Q F0(causes)180 393.6 Q
 F1(printf)2.51 E F0 .01(to output the corresponding)2.51 F F2(ar)2.51 E
 (gument)-.37 E F0 .01(in a format that can be reused as shell)2.51 F
 (input.)180 405.6 Q F1(%\()144 417.6 Q F2(datefmt)A F1(\)T)A F0(causes)
-180 429.6 Q F1(printf)4.404 E F0 1.904
-(to output the date-time string resulting from using)4.404 F F2(datefmt)
-4.404 E F0 1.903(as a format)4.404 F .38(string for)180 441.6 R F2
+180 429.6 Q F1(printf)4.403 E F0 1.904
+(to output the date-time string resulting from using)4.403 F F2(datefmt)
+4.404 E F0 1.904(as a format)4.404 F .381(string for)180 441.6 R F2
 (strftime)2.881 E F0 2.881(\(3\). The)B(corresponding)2.881 E F2(ar)
 2.881 E(gument)-.37 E F0 .381(is an inte)2.881 F .381
-(ger representing the number)-.15 F .458(of seconds since the epoch.)180
+(ger representing the number)-.15 F .457(of seconds since the epoch.)180
 453.6 R -1 -.8(Tw o)5.458 H .458(special ar)3.758 F .458(gument v)-.18 F
-.458(alues may be used: -1 represents the)-.25 F .847
+.458(alues may be used: -1 represents the)-.25 F .848
 (current time, and -2 represents the time the shell w)180 465.6 R .847
-(as in)-.1 F -.2(vo)-.4 G -.1(ke).2 G 3.348(d. If).1 F .848(no ar)3.348
-F .848(gument is speci-)-.18 F .355(\214ed, con)180 477.6 R -.15(ve)-.4
-G .355(rsion beha).15 F -.15(ve)-.2 G 2.855(sa).15 G 2.855(si)-2.855 G
-2.855(f-)-2.855 G 2.855(1h)-2.855 G .354(ad been gi)-2.855 F -.15(ve)
--.25 G 2.854(n. This).15 F .354(is an e)2.854 F .354
-(xception to the usual)-.15 F F1(printf)2.854 E F0(beha)180 489.6 Q
-(vior)-.2 E(.)-.55 E(Ar)144 506.4 Q .463(guments to non-string format s\
-peci\214ers are treated as C constants, e)-.18 F .464
-(xcept that a leading plus or)-.15 F 1.259(minus sign is allo)144 518.4
+(as in)-.1 F -.2(vo)-.4 G -.1(ke).2 G 3.347(d. If).1 F .847(no ar)3.347
+F .847(gument is speci-)-.18 F .354(\214ed, con)180 477.6 R -.15(ve)-.4
+G .354(rsion beha).15 F -.15(ve)-.2 G 2.854(sa).15 G 2.854(si)-2.854 G
+2.854(f-)-2.854 G 2.854(1h)-2.854 G .354(ad been gi)-2.854 F -.15(ve)
+-.25 G 2.854(n. This).15 F .355(is an e)2.854 F .355
+(xception to the usual)-.15 F F1(printf)2.855 E F0(beha)180 489.6 Q
+(vior)-.2 E(.)-.55 E(Ar)144 506.4 Q .464(guments to non-string format s\
+peci\214ers are treated as C constants, e)-.18 F .463
+(xcept that a leading plus or)-.15 F 1.258(minus sign is allo)144 518.4
 R 1.259
 (wed, and if the leading character is a single or double quote, the v)
--.25 F 1.258(alue is the)-.25 F(ASCII v)144 530.4 Q(alue of the follo)
--.25 E(wing character)-.25 E(.)-.55 E(The)144 547.2 Q F2(format)3.423 E
-F0 .923(is reused as necessary to consume all of the)3.423 F F2(ar)3.423
+-.25 F 1.259(alue is the)-.25 F(ASCII v)144 530.4 Q(alue of the follo)
+-.25 E(wing character)-.25 E(.)-.55 E(The)144 547.2 Q F2(format)3.424 E
+F0 .923(is reused as necessary to consume all of the)3.424 F F2(ar)3.423
 E(guments)-.37 E F0 5.923(.I)C 3.423(ft)-5.923 G(he)-3.423 E F2(format)
-3.423 E F0 .924(requires more)3.424 F F2(ar)144 559.2 Q(guments)-.37 E
-F0 .033(than are supplied, the e)2.534 F .033
+3.423 E F0 .923(requires more)3.423 F F2(ar)144 559.2 Q(guments)-.37 E
+F0 .033(than are supplied, the e)2.533 F .033
 (xtra format speci\214cations beha)-.15 F .333 -.15(ve a)-.2 H 2.533(si)
-.15 G 2.533(faz)-2.533 G .033(ero v)-2.533 F .033(alue or null string,)
+.15 G 2.533(faz)-2.533 G .033(ero v)-2.533 F .034(alue or null string,)
 -.25 F(as appropriate, had been supplied.)144 571.2 Q(The return v)5 E
 (alue is zero on success, non-zero on f)-.25 E(ailure.)-.1 E F1(pushd)
 108 588 Q F0([)2.5 E F1<ad6e>A F0 2.5(][)C(+)-2.5 E F2(n)A F0 2.5(][)C
 <ad>-2.5 E F2(n)A F0(])A F1(pushd)108 600 Q F0([)2.5 E F1<ad6e>A F0 2.5
-(][)C F2(dir)-2.5 E F0(])A .639(Adds a directory to the top of the dire\
-ctory stack, or rotates the stack, making the ne)144 612 R 3.14(wt)-.25
-G .64(op of the)-3.14 F .417(stack the current w)144 624 R .416
+(][)C F2(dir)-2.5 E F0(])A .64(Adds a directory to the top of the direc\
+tory stack, or rotates the stack, making the ne)144 612 R 3.139(wt)-.25
+G .639(op of the)-3.139 F .416(stack the current w)144 624 R .416
 (orking directory)-.1 F 5.416(.W)-.65 G .416(ith no ar)-5.816 F
 (guments,)-.18 E F1(pushd)2.916 E F0 -.15(ex)2.916 G .416
-(changes the top tw).15 F 2.916(od)-.1 G(irectories)-2.916 E 1.625
+(changes the top tw).15 F 2.917(od)-.1 G(irectories)-2.917 E 1.625
 (and returns 0, unless the directory stack is empty)144 636 R 6.625(.A)
 -.65 G -.18(rg)-6.625 G 1.625(uments, if supplied, ha).18 F 1.925 -.15
 (ve t)-.2 H 1.625(he follo).15 F(wing)-.25 E(meanings:)144 648 Q F1
 <ad6e>144 660 Q F0 1.811(Suppresses the normal change of directory when\
  rotating or adding directories to the)180 660 R
 (stack, so that only the stack is manipulated.)180 672 Q F1(+)144 684 Q
-F2(n)A F0 1.267(Rotates the stack so that the)180 684 R F2(n)3.767 E F0
-1.268(th directory \(counting from the left of the list sho)B 1.268
+F2(n)A F0 1.268(Rotates the stack so that the)180 684 R F2(n)3.768 E F0
+1.267(th directory \(counting from the left of the list sho)B 1.267
 (wn by)-.25 F F1(dirs)180 696 Q F0 2.5(,s)C
 (tarting with zero\) is at the top.)-2.5 E F1<ad>144 708 Q F2(n)A F0 .92
 (Rotates the stack so that the)180 708 R F2(n)3.42 E F0 .92
 (th directory \(counting from the right of the list sho)B .92(wn by)-.25
 F F1(dirs)180 720 Q F0 2.5(,s)C(tarting with zero\) is at the top.)-2.5
-E(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(66)197.335 E 0 Cg EP
+E(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(66)192.895 E 0 Cg EP
 %%Page: 67 67
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E/F1 10
-/Times-Italic@0 SF(dir)144.35 84 Q F0(Adds)180 84 Q F1(dir)3.137 E F0
-.287(to the directory stack at the top, making it the ne)3.517 F 2.788
-(wc)-.25 G .288(urrent w)-2.788 F .288(orking directory as)-.1 F
+/Times-Italic@0 SF(dir)144.35 84 Q F0(Adds)180 84 Q F1(dir)3.138 E F0
+.288(to the directory stack at the top, making it the ne)3.518 F 2.787
+(wc)-.25 G .287(urrent w)-2.787 F .287(orking directory as)-.1 F
 (if it had been supplied as the ar)180 96 Q(gument to the)-.18 E/F2 10
-/Times-Bold@0 SF(cd)2.5 E F0 -.2(bu)2.5 G(iltin.).2 E .489(If the)144
-112.8 R F2(pushd)2.989 E F0 .489(command is successful, a)2.989 F F2
-(dirs)2.988 E F0 .488(is performed as well.)2.988 F .488
-(If the \214rst form is used,)5.488 F F2(pushd)2.988 E F0 1.039
-(returns 0 unless the cd to)144 124.8 R F1(dir)3.889 E F0 -.1(fa)4.269 G
-3.539(ils. W).1 F 1.039(ith the second form,)-.4 F F2(pushd)3.54 E F0
-1.04(returns 0 unless the directory)3.54 F .847(stack is empty)144 136.8
-R 3.347(,an)-.65 G(on-e)-3.347 E .847(xistent directory stack element i\
-s speci\214ed, or the directory change to the)-.15 F(speci\214ed ne)144
-148.8 Q 2.5(wc)-.25 G(urrent directory f)-2.5 E(ails.)-.1 E F2(pwd)108
-165.6 Q F0([)2.5 E F2(\255LP)A F0(])A .844
+/Times-Bold@0 SF(cd)2.5 E F0 -.2(bu)2.5 G(iltin.).2 E .488(If the)144
+112.8 R F2(pushd)2.988 E F0 .488(command is successful, a)2.988 F F2
+(dirs)2.988 E F0 .488(is performed as well.)2.988 F .489
+(If the \214rst form is used,)5.488 F F2(pushd)2.989 E F0 1.04
+(returns 0 unless the cd to)144 124.8 R F1(dir)3.89 E F0 -.1(fa)4.27 G
+3.539(ils. W).1 F 1.039(ith the second form,)-.4 F F2(pushd)3.539 E F0
+1.039(returns 0 unless the directory)3.539 F .846(stack is empty)144
+136.8 R 3.346(,an)-.65 G(on-e)-3.346 E .847(xistent directory stack ele\
+ment is speci\214ed, or the directory change to the)-.15 F
+(speci\214ed ne)144 148.8 Q 2.5(wc)-.25 G(urrent directory f)-2.5 E
+(ails.)-.1 E F2(pwd)108 165.6 Q F0([)2.5 E F2(\255LP)A F0(])A .845
 (Print the absolute pathname of the current w)144 177.6 R .845
-(orking directory)-.1 F 5.845(.T)-.65 G .845
-(he pathname printed contains no)-5.845 F .182(symbolic links if the)144
+(orking directory)-.1 F 5.844(.T)-.65 G .844
+(he pathname printed contains no)-5.844 F .181(symbolic links if the)144
 189.6 R F2<ad50>2.681 E F0 .181(option is supplied or the)2.681 F F2
 .181(\255o ph)2.681 F(ysical)-.15 E F0 .181(option to the)2.681 F F2
-(set)2.681 E F0 -.2(bu)2.681 G .181(iltin command is).2 F 3.263
-(enabled. If)144 201.6 R(the)3.263 E F2<ad4c>3.263 E F0 .763
-(option is used, the pathname printed may contain symbolic links.)3.263
-F .764(The return)5.764 F 1.36(status is 0 unless an error occurs while\
+(set)2.681 E F0 -.2(bu)2.681 G .182(iltin command is).2 F 3.264
+(enabled. If)144 201.6 R(the)3.264 E F2<ad4c>3.264 E F0 .763
+(option is used, the pathname printed may contain symbolic links.)3.264
+F .763(The return)5.763 F 1.36(status is 0 unless an error occurs while\
  reading the name of the current directory or an in)144 213.6 R -.25(va)
 -.4 G(lid).25 E(option is supplied.)144 225.6 Q F2 -.18(re)108 242.4 S
-(ad).18 E F0([)3.816 E F2(\255ers)A F0 3.816(][)C F2<ad61>-3.816 E F1
-(aname)3.816 E F0 3.816(][)C F2<ad64>-3.816 E F1(delim)3.816 E F0 3.816
-(][)C F2<ad69>-3.816 E F1(te)3.816 E(xt)-.2 E F0 3.816(][)C F2<ad6e>
--3.816 E F1(nc)3.816 E(har)-.15 E(s)-.1 E F0 3.817(][)C F2<ad4e>-3.817 E
-F1(nc)3.817 E(har)-.15 E(s)-.1 E F0 3.817(][)C F2<ad70>-3.817 E F1(pr)
-3.817 E(ompt)-.45 E F0 3.817(][)C F2<ad74>-3.817 E F1(timeout)3.817 E F0
-3.817(][)C F2<ad75>-3.817 E F1(fd)3.817 E F0(])A([)108 254.4 Q F1(name)A
+(ad).18 E F0([)3.817 E F2(\255ers)A F0 3.817(][)C F2<ad61>-3.817 E F1
+(aname)3.817 E F0 3.817(][)C F2<ad64>-3.817 E F1(delim)3.817 E F0 3.817
+(][)C F2<ad69>-3.817 E F1(te)3.817 E(xt)-.2 E F0 3.817(][)C F2<ad6e>
+-3.817 E F1(nc)3.816 E(har)-.15 E(s)-.1 E F0 3.816(][)C F2<ad4e>-3.816 E
+F1(nc)3.816 E(har)-.15 E(s)-.1 E F0 3.816(][)C F2<ad70>-3.816 E F1(pr)
+3.816 E(ompt)-.45 E F0 3.816(][)C F2<ad74>-3.816 E F1(timeout)3.816 E F0
+3.816(][)C F2<ad75>-3.816 E F1(fd)3.816 E F0(])A([)108 254.4 Q F1(name)A
 F0(...])2.5 E .516(One line is read from the standard input, or from th\
 e \214le descriptor)144 266.4 R F1(fd)3.016 E F0 .516(supplied as an ar)
-3.016 F .516(gument to)-.18 F(the)144 278.4 Q F2<ad75>3.847 E F0 1.347
-(option, split into w)3.847 F 1.347(ords as described abo)-.1 F 1.648
--.15(ve u)-.15 H(nder).15 E F2 -.75(Wo)3.848 G 1.348(rd Splitting).75 F
-F0 3.848(,a)C 1.348(nd the \214rst w)-3.848 F 1.348(ord is)-.1 F 1.465
+3.016 F .517(gument to)-.18 F(the)144 278.4 Q F2<ad75>3.848 E F0 1.348
+(option, split into w)3.848 F 1.348(ords as described abo)-.1 F 1.647
+-.15(ve u)-.15 H(nder).15 E F2 -.75(Wo)3.847 G 1.347(rd Splitting).75 F
+F0 3.847(,a)C 1.347(nd the \214rst w)-3.847 F 1.347(ord is)-.1 F 1.465
 (assigned to the \214rst)144 290.4 R F1(name)3.965 E F0 3.965(,t).18 G
 1.465(he second w)-3.965 F 1.465(ord to the second)-.1 F F1(name)3.965 E
 F0 3.965(,a).18 G 1.465(nd so on.)-3.965 F 1.465(If there are more)6.465
 F -.1(wo)144 302.4 S 1.112(rds than names, the remaining w).1 F 1.112
 (ords and their interv)-.1 F 1.112
 (ening delimiters are assigned to the last)-.15 F F1(name)144 314.4 Q F0
-5.723(.I).18 G 3.223(ft)-5.723 G .723(here are fe)-3.223 F .723(wer w)
--.25 F .722
+5.722(.I).18 G 3.222(ft)-5.722 G .722(here are fe)-3.222 F .722(wer w)
+-.25 F .723
 (ords read from the input stream than names, the remaining names are)-.1
-F .531(assigned empty v)144 326.4 R 3.031(alues. The)-.25 F .531
-(characters in)3.031 F/F3 9/Times-Bold@0 SF(IFS)3.031 E F0 .532
-(are used to split the line into w)2.781 F .532(ords using the same)-.1
+F .532(assigned empty v)144 326.4 R 3.032(alues. The)-.25 F .532
+(characters in)3.032 F/F3 9/Times-Bold@0 SF(IFS)3.032 E F0 .531
+(are used to split the line into w)2.782 F .531(ords using the same)-.1
 F .197(rules the shell uses for e)144 338.4 R .197
 (xpansion \(described abo)-.15 F .497 -.15(ve u)-.15 H(nder).15 E F2
--.75(Wo)2.697 G .197(rd Splitting).75 F F0 2.697(\). The)B .196
-(backslash charac-)2.697 F .156(ter \()144 350.4 R F2(\\)A F0 2.656(\)m)
-C .156(ay be used to remo)-2.656 F .457 -.15(ve a)-.15 H .457 -.15(ny s)
-.15 H .157(pecial meaning for the ne).15 F .157
+-.75(Wo)2.697 G .197(rd Splitting).75 F F0 2.697(\). The)B .197
+(backslash charac-)2.697 F .157(ter \()144 350.4 R F2(\\)A F0 2.657(\)m)
+C .157(ay be used to remo)-2.657 F .457 -.15(ve a)-.15 H .457 -.15(ny s)
+.15 H .157(pecial meaning for the ne).15 F .156
 (xt character read and for line continu-)-.15 F 2.5(ation. Options,)144
 362.4 R(if supplied, ha)2.5 E .3 -.15(ve t)-.2 H(he follo).15 E
-(wing meanings:)-.25 E F2<ad61>144 374.4 Q F1(aname)2.5 E F0 1.05(The w)
-180 386.4 R 1.049
+(wing meanings:)-.25 E F2<ad61>144 374.4 Q F1(aname)2.5 E F0 1.049
+(The w)180 386.4 R 1.049
 (ords are assigned to sequential indices of the array v)-.1 F(ariable)
--.25 E F1(aname)3.549 E F0 3.549(,s).18 G 1.049(tarting at 0.)-3.549 F
-F1(aname)180.33 398.4 Q F0(is unset before an)2.68 E 2.5(yn)-.15 G .5
--.25(ew va)-2.5 H(lues are assigned.).25 E(Other)5 E F1(name)2.5 E F0
-(ar)2.5 E(guments are ignored.)-.18 E F2<ad64>144 410.4 Q F1(delim)2.5 E
-F0 1.317(The \214rst character of)180 422.4 R F1(delim)3.817 E F0 1.317
-(is used to terminate the input line, rather than ne)3.817 F 3.818
+-.25 E F1(aname)3.55 E F0 3.55(,s).18 G 1.05(tarting at 0.)-3.55 F F1
+(aname)180.33 398.4 Q F0(is unset before an)2.68 E 2.5(yn)-.15 G .5 -.25
+(ew va)-2.5 H(lues are assigned.).25 E(Other)5 E F1(name)2.5 E F0(ar)2.5
+E(guments are ignored.)-.18 E F2<ad64>144 410.4 Q F1(delim)2.5 E F0
+1.318(The \214rst character of)180 422.4 R F1(delim)3.818 E F0 1.317
+(is used to terminate the input line, rather than ne)3.818 F 3.817
 (wline. If)-.25 F F1(delim)180 434.4 Q F0(is the empty string,)2.5 E F2
 -.18(re)2.5 G(ad).18 E F0
 (will terminate a line when it reads a NUL character)2.5 E(.)-.55 E F2
-<ad65>144 446.4 Q F0 .373
+<ad65>144 446.4 Q F0 .372
 (If the standard input is coming from a terminal,)180 446.4 R F2 -.18
-(re)2.873 G(adline).18 E F0(\(see)2.873 E F3(READLINE)2.872 E F0(abo)
-2.622 E -.15(ve)-.15 G 2.872(\)i).15 G 2.872(su)-2.872 G(sed)-2.872 E
+(re)2.873 G(adline).18 E F0(\(see)2.873 E F3(READLINE)2.873 E F0(abo)
+2.623 E -.15(ve)-.15 G 2.873(\)i).15 G 2.873(su)-2.873 G(sed)-2.873 E
 .218(to obtain the line.)180 458.4 R .218
 (Readline uses the current \(or def)5.218 F .218
 (ault, if line editing w)-.1 F .218(as not pre)-.1 F(viously)-.25 E
 (acti)180 470.4 Q -.15(ve)-.25 G 2.5(\)e).15 G(diting settings, b)-2.5 E
 (ut uses Readline')-.2 E 2.5(sd)-.55 G(ef)-2.5 E
 (ault \214lename completion.)-.1 E F2<ad69>144 482.4 Q F1(te)2.5 E(xt)
--.2 E F0(If)180 482.4 Q F2 -.18(re)2.716 G(adline).18 E F0 .216
-(is being used to read the line,)2.716 F F1(te)2.716 E(xt)-.2 E F0 .216
-(is placed into the editing b)2.716 F(uf)-.2 E .215(fer before edit-)
+-.2 E F0(If)180 482.4 Q F2 -.18(re)2.715 G(adline).18 E F0 .216
+(is being used to read the line,)2.715 F F1(te)2.716 E(xt)-.2 E F0 .216
+(is placed into the editing b)2.716 F(uf)-.2 E .216(fer before edit-)
 -.25 F(ing be)180 494.4 Q(gins.)-.15 E F2<ad6e>144 506.4 Q F1(nc)2.5 E
-(har)-.15 E(s)-.1 E F2 -.18(re)180 518.4 S(ad).18 E F0 1.394
-(returns after reading)3.894 F F1(nc)3.894 E(har)-.15 E(s)-.1 E F0 1.395
-(characters rather than w)3.894 F 1.395(aiting for a complete line of)
+(har)-.15 E(s)-.1 E F2 -.18(re)180 518.4 S(ad).18 E F0 1.395
+(returns after reading)3.895 F F1(nc)3.895 E(har)-.15 E(s)-.1 E F0 1.395
+(characters rather than w)3.895 F 1.394(aiting for a complete line of)
 -.1 F(input, b)180 530.4 Q(ut honors a delimiter if fe)-.2 E(wer than)
 -.25 E F1(nc)2.5 E(har)-.15 E(s)-.1 E F0
 (characters are read before the delimiter)2.5 E(.)-.55 E F2<ad4e>144
 542.4 Q F1(nc)2.5 E(har)-.15 E(s)-.1 E F2 -.18(re)180 554.4 S(ad).18 E
-F0 1.269(returns after reading e)3.77 F(xactly)-.15 E F1(nc)3.769 E(har)
--.15 E(s)-.1 E F0 1.269(characters rather than w)3.769 F 1.269
-(aiting for a complete)-.1 F .274
+F0 1.269(returns after reading e)3.769 F(xactly)-.15 E F1(nc)3.769 E
+(har)-.15 E(s)-.1 E F0 1.269(characters rather than w)3.769 F 1.27
+(aiting for a complete)-.1 F .275
 (line of input, unless EOF is encountered or)180 566.4 R F2 -.18(re)
-2.775 G(ad).18 E F0 .275(times out.)2.775 F .275
-(Delimiter characters encoun-)5.275 F 1.003
+2.775 G(ad).18 E F0 .274(times out.)2.774 F .274
+(Delimiter characters encoun-)5.274 F 1.002
 (tered in the input are not treated specially and do not cause)180 578.4
-R F2 -.18(re)3.502 G(ad).18 E F0 1.002(to return until)3.502 F F1(nc)
-3.502 E(har)-.15 E(s)-.1 E F0 .608(characters are read.)180 590.4 R .608
-(The result is not split on the characters in)5.608 F F2(IFS)3.108 E F0
-3.108(;t)C .609(he intent is that the)-3.108 F -.25(va)180 602.4 S .67
+R F2 -.18(re)3.503 G(ad).18 E F0 1.003(to return until)3.503 F F1(nc)
+3.503 E(har)-.15 E(s)-.1 E F0 .609(characters are read.)180 590.4 R .608
+(The result is not split on the characters in)5.609 F F2(IFS)3.108 E F0
+3.108(;t)C .608(he intent is that the)-3.108 F -.25(va)180 602.4 S .669
 (riable is assigned e).25 F .669
-(xactly the characters read \(with the e)-.15 F .669
+(xactly the characters read \(with the e)-.15 F .67
 (xception of backslash; see the)-.15 F F2<ad72>180 614.4 Q F0
 (option belo)2.5 E(w\).)-.25 E F2<ad70>144 626.4 Q F1(pr)2.5 E(ompt)-.45
-E F0(Display)180 638.4 Q F1(pr)3.66 E(ompt)-.45 E F0 1.161
-(on standard error)3.66 F 3.661(,w)-.4 G 1.161(ithout a trailing ne)
+E F0(Display)180 638.4 Q F1(pr)3.661 E(ompt)-.45 E F0 1.161
+(on standard error)3.661 F 3.661(,w)-.4 G 1.161(ithout a trailing ne)
 -3.661 F 1.161(wline, before attempting to read)-.25 F(an)180 650.4 Q
 2.5(yi)-.15 G 2.5(nput. The)-2.5 F
 (prompt is displayed only if input is coming from a terminal.)2.5 E F2
-<ad72>144 662.4 Q F0 .544(Backslash does not act as an escape character)
-180 662.4 R 5.543(.T)-.55 G .543
+<ad72>144 662.4 Q F0 .543(Backslash does not act as an escape character)
+180 662.4 R 5.543(.T)-.55 G .544
 (he backslash is considered to be part of)-5.543 F(the line.)180 674.4 Q
 (In particular)5 E 2.5(,ab)-.4 G(ackslash-ne)-2.5 E
 (wline pair may not be used as a line continuation.)-.25 E F2<ad73>144
 686.4 Q F0(Silent mode.)180 686.4 Q
 (If input is coming from a terminal, characters are not echoed.)5 E F2
-<ad74>144 698.4 Q F1(timeout)2.5 E F0(Cause)180 710.4 Q F2 -.18(re)2.928
-G(ad).18 E F0 .428(to time out and return f)2.928 F .428
-(ailure if a complete line of input \(or a speci\214ed num-)-.1 F .561
+<ad74>144 698.4 Q F1(timeout)2.5 E F0(Cause)180 710.4 Q F2 -.18(re)2.929
+G(ad).18 E F0 .428(to time out and return f)2.929 F .428
+(ailure if a complete line of input \(or a speci\214ed num-)-.1 F .56
 (ber of characters\) is not read within)180 722.4 R F1(timeout)3.061 E
-F0(seconds.)3.061 E F1(timeout)5.561 E F0 .56(may be a decimal number)
-3.061 F(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(67)197.335 E 0 Cg
+F0(seconds.)3.061 E F1(timeout)5.561 E F0 .561(may be a decimal number)
+3.061 F(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(67)192.895 E 0 Cg
 EP
 %%Page: 68 68
 %%BeginPageSetup
@@ -8194,11 +8199,11 @@ BP
 (with a fractional portion follo)180 84 Q(wing the decimal point.)-.25 E
 (This option is only ef)5 E(fecti)-.25 E .3 -.15(ve i)-.25 H(f).15 E/F1
 10/Times-Bold@0 SF -.18(re)2.5 G(ad).18 E F0 .506(is reading input from\
- a terminal, pipe, or other special \214le; it has no ef)180 96 R .505
-(fect when reading)-.25 F .589(from re)180 108 R .589(gular \214les.)
--.15 F(If)5.589 E F1 -.18(re)3.089 G(ad).18 E F0 .589(times out,)3.089 F
-F1 -.18(re)3.089 G(ad).18 E F0(sa)3.089 E -.15(ve)-.2 G 3.089(sa).15 G
-.889 -.15(ny p)-3.089 H .59(artial input read into the speci\214ed).15 F
+ a terminal, pipe, or other special \214le; it has no ef)180 96 R .506
+(fect when reading)-.25 F .59(from re)180 108 R .59(gular \214les.)-.15
+F(If)5.59 E F1 -.18(re)3.09 G(ad).18 E F0 .589(times out,)3.09 F F1 -.18
+(re)3.089 G(ad).18 E F0(sa)3.089 E -.15(ve)-.2 G 3.089(sa).15 G .889
+-.15(ny p)-3.089 H .589(artial input read into the speci\214ed).15 F
 -.25(va)180 120 S(riable).25 E/F2 10/Times-Italic@0 SF(name)2.77 E F0
 5.27(.I)C(f)-5.27 E F2(timeout)2.77 E F0 .27(is 0,)2.77 F F1 -.18(re)
 2.77 G(ad).18 E F0 .27(returns immediately)2.77 F 2.77(,w)-.65 G .27
@@ -8208,41 +8213,41 @@ F1 -.18(re)3.089 G(ad).18 E F0(sa)3.089 E -.15(ve)-.2 G 3.089(sa).15 G
 1.12(on-zero other)-3.62 F(-)-.2 E 2.5(wise. The)180 144 R -.15(ex)2.5 G
 (it status is greater than 128 if the timeout is e).15 E(xceeded.)-.15 E
 F1<ad75>144 156 Q F2(fd)2.5 E F0(Read input from \214le descriptor)180
-156 Q F2(fd)2.5 E F0(.)A .477(If no)144 172.8 R F2(names)3.337 E F0 .477
-(are supplied, the line read is assigned to the v)3.247 F(ariable)-.25 E
-/F3 9/Times-Bold@0 SF(REPL)2.976 E(Y)-.828 E/F4 9/Times-Roman@0 SF(.)A
-F0 .476(The e)4.976 F .476(xit status is zero,)-.15 F .772
-(unless end-of-\214le is encountered,)144 184.8 R F1 -.18(re)3.272 G(ad)
-.18 E F0 .773
-(times out \(in which case the status is greater than 128\), a)3.272 F
+156 Q F2(fd)2.5 E F0(.)A .476(If no)144 172.8 R F2(names)3.336 E F0 .476
+(are supplied, the line read is assigned to the v)3.246 F(ariable)-.25 E
+/F3 9/Times-Bold@0 SF(REPL)2.977 E(Y)-.828 E/F4 9/Times-Roman@0 SF(.)A
+F0 .477(The e)4.977 F .477(xit status is zero,)-.15 F .773
+(unless end-of-\214le is encountered,)144 184.8 R F1 -.18(re)3.273 G(ad)
+.18 E F0 .772
+(times out \(in which case the status is greater than 128\), a)3.273 F
 -.25(va)144 196.8 S 2.004
-(riable assignment error \(such as assigning to a readonly v).25 F 2.004
-(ariable\) occurs, or an in)-.25 F -.25(va)-.4 G 2.004(lid \214le).25 F
+(riable assignment error \(such as assigning to a readonly v).25 F 2.005
+(ariable\) occurs, or an in)-.25 F -.25(va)-.4 G 2.005(lid \214le).25 F
 (descriptor is supplied as the ar)144 208.8 Q(gument to)-.18 E F1<ad75>
 2.5 E F0(.)A F1 -.18(re)108 225.6 S(adonly).18 E F0([)2.5 E F1(\255aAf)A
 F0 2.5(][)C F1<ad70>-2.5 E F0 2.5(][)C F2(name)-2.5 E F0([=)A F2(wor)A
 (d)-.37 E F0 2.5(].)C(..])-2.5 E .77(The gi)144 237.6 R -.15(ve)-.25 G
 (n).15 E F2(names)3.27 E F0 .77(are mark)3.27 F .77(ed readonly; the v)
 -.1 F .77(alues of these)-.25 F F2(names)3.63 E F0 .77
-(may not be changed by subse-)3.54 F 1.097(quent assignment.)144 249.6 R
-1.097(If the)6.097 F F1<ad66>3.597 E F0 1.097
-(option is supplied, the functions corresponding to the)3.597 F F2
-(names)3.596 E F0 1.096(are so)3.596 F(mark)144 261.6 Q 3.334(ed. The)
+(may not be changed by subse-)3.54 F 1.096(quent assignment.)144 249.6 R
+1.096(If the)6.096 F F1<ad66>3.596 E F0 1.097
+(option is supplied, the functions corresponding to the)3.596 F F2
+(names)3.597 E F0 1.097(are so)3.597 F(mark)144 261.6 Q 3.334(ed. The)
 -.1 F F1<ad61>3.334 E F0 .834(option restricts the v)3.334 F .834
 (ariables to inde)-.25 F -.15(xe)-.15 G 3.334(da).15 G .834(rrays; the)
 -3.334 F F1<ad41>3.334 E F0 .834(option restricts the v)3.334 F(ari-)
--.25 E .777(ables to associati)144 273.6 R 1.077 -.15(ve a)-.25 H 3.277
-(rrays. If).15 F .777(both options are supplied,)3.277 F F1<ad41>3.277 E
-F0(tak)3.277 E .776(es precedence.)-.1 F .776(If no)5.776 F F2(name)
-3.636 E F0(ar)3.456 E(gu-)-.18 E .521(ments are gi)144 285.6 R -.15(ve)
+-.25 E .776(ables to associati)144 273.6 R 1.076 -.15(ve a)-.25 H 3.276
+(rrays. If).15 F .777(both options are supplied,)3.276 F F1<ad41>3.277 E
+F0(tak)3.277 E .777(es precedence.)-.1 F .777(If no)5.777 F F2(name)
+3.637 E F0(ar)3.457 E(gu-)-.18 E .522(ments are gi)144 285.6 R -.15(ve)
 -.25 G .521(n, or if the).15 F F1<ad70>3.021 E F0 .521
 (option is supplied, a list of all readonly names is printed.)3.021 F
-.522(The other)5.521 F .295(options may be used to restrict the output \
-to a subset of the set of readonly names.)144 297.6 R(The)5.295 E F1
-<ad70>2.795 E F0(option)2.795 E .786
+.521(The other)5.521 F .295(options may be used to restrict the output \
+to a subset of the set of readonly names.)144 297.6 R(The)5.296 E F1
+<ad70>2.796 E F0(option)2.796 E .786
 (causes output to be displayed in a format that may be reused as input.)
-144 309.6 R .786(If a v)5.786 F .786(ariable name is fol-)-.25 F(lo)144
-321.6 Q .718(wed by =)-.25 F F2(wor)A(d)-.37 E F0 3.218(,t)C .718(he v)
+144 309.6 R .786(If a v)5.786 F .785(ariable name is fol-)-.25 F(lo)144
+321.6 Q .717(wed by =)-.25 F F2(wor)A(d)-.37 E F0 3.218(,t)C .718(he v)
 -3.218 F .718(alue of the v)-.25 F .718(ariable is set to)-.25 F F2(wor)
 3.218 E(d)-.37 E F0 5.718(.T)C .718(he return status is 0 unless an in)
 -5.718 F -.25(va)-.4 G(lid).25 E .26(option is encountered, one of the)
